org.apache.uima.fit.factory

## Class ConfigurationParameterFactory.ConfigurationData

- java.lang.Object
- - org.apache.uima.fit.factory.ConfigurationParameterFactory.ConfigurationData

- Enclosing class:
    ConfigurationParameterFactory

      public static class ConfigurationParameterFactory.ConfigurationData
      extends Object

  A simple class for storing an array of configuration parameters along with an array of the values that will fill in those configuration parameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.uima.resource.metadata.ConfigurationParameter[]` | `configurationParameters`
    `Object[]` | `configurationValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationData(org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters, Object[] configurationValues)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configurationParameters

          public org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters

    - #### configurationValues

          public Object[] configurationValues

  - ### Constructor Detail

    - #### ConfigurationData

          public ConfigurationData(org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters,
                                   Object[] configurationValues)

      Parameters:
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration parameter values

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.